function dd = pairwise_p_distances( X, p ) 
% returns a square matrix of distances between different rows of X

[N C] = size( X ); 
Xprime = X'; 

dd = zeros( N , N ); 

%pdisthandle = @(u,v)(pdistance( u, v, p ) ); 


for r = 1:N-1
  dd( r, r+1:end ) = mean( abs( bsxfun( @minus, Xprime(:,r), Xprime(:,r+1:end)) ) .^p ) .^ (1/p); 
end
dd = dd + dd';

end