function output = percent_induction( mat )
% accepts a matrix and performs a zero mean
% normalisation along the specified dimension
    output = mat;
    for i = 1:size(mat,1) % loop through rows

        output(i,:) = output(i,:) - min(mat(i,:));
        
        output(i,:) = (output(i,:) + 10e-20) / max(output(i,:));

    end
end
