function draw_labels( patchspec, level , category_names,away_from_start,thresholds)
% cutindex exists for rotation cutting

%disp(level);
    if level == 0, return; end;
    %function should look at present children compare xx YY places then get
    %lost
    %keyboard
        xx = patchspec.xx; 
        yy = patchspec.yy; 
        if xx(1) == xx(2) || yy(1) == yy(2)
            return; % return it is nothing. aka straight line not a rectangle and we wont see it 0 filled rectangle
        end;
        % children = patchspec.children{1}.xx
        
        %expanded_xx = [ xx(1); xx(1); xx(2); xx(2) ]; 
        %expanded_yy = [ yy(1); yy(2); yy(2); yy(1) ]; 
        %cut direction should be taken into consideration first
         string = strcat(category_names(1));
         %check that neither child is empty
         if length(patchspec.children) < 2, return; end;
         if mean(patchspec.children{1}.xx) == mean(patchspec.xx) && mean(patchspec.children{1}.yy) == mean(patchspec.yy)
         elseif mean(patchspec.children{2}.xx) == mean(patchspec.xx) && mean(patchspec.children{2}.yy) == mean(patchspec.yy)
         else
                %if (strcmp(string,'c')) keyboard; end;
                if patchspec.children{1}.xx == patchspec.children{2}.xx % cut along y
                    cords(1,:) = patchspec.children{1}.xx;
                    cords(1,size(cords,2)+1:size(cords,2)+size(patchspec.children{2}.xx)) = patchspec.children{2}.xx;
                    %Instead of minimums and maximums use rectangles
                    if mean(cords) > 0.5
                    %if 1-min(cords) > max(cords)
                        if level == 1
                        plot([(1 + (level+2) * 0.03) mean(patchspec.children{1}.xx)],[mean(patchspec.children{1}.yy) mean(patchspec.children{1}.yy)], 'Color','r','LineStyle',':');
                        plot([(1 + (level+2) * 0.03) mean(patchspec.children{2}.xx)],[mean(patchspec.children{2}.yy) mean(patchspec.children{2}.yy)], 'Color','r','LineStyle',':');
                        plot([(1 + (level+2) * 0.03) mean(patchspec.children{3}.xx)],[mean(patchspec.children{3}.yy) mean(patchspec.children{3}.yy)], 'Color','r','LineStyle',':');
                        end
                        text(1 + (level+2) * 0.03,mean(patchspec.children{1}.yy),string,'HorizontalAlignment','Center','FontSize',7+(level*1));
                        text(1 + (level+2) * 0.03,mean(patchspec.children{2}.yy),string,'HorizontalAlignment','Center','FontSize',7+(level*1));
                        text(1 + (level+2) * 0.03,mean(patchspec.children{3}.yy),string,'HorizontalAlignment','Center','FontSize',7+(level*1));
                    else
                        if level == 1
                        plot([(0 - (level+2) * 0.03) mean(patchspec.children{1}.xx)],[mean(patchspec.children{1}.yy) mean(patchspec.children{1}.yy)], 'Color','r','LineStyle',':');
                        plot([(0 - (level+2) * 0.03) mean(patchspec.children{2}.xx)],[mean(patchspec.children{2}.yy) mean(patchspec.children{2}.yy)], 'Color','r','LineStyle',':');
                        plot([(0 - (level+2) * 0.03) mean(patchspec.children{3}.xx)],[mean(patchspec.children{3}.yy) mean(patchspec.children{3}.yy)], 'Color','r','LineStyle',':');
                        end
                        text(0 - (level+2) * 0.03,mean(patchspec.children{1}.yy),string,'HorizontalAlignment','Center','FontSize',7+(level*1));
                        text(0 - (level+2) * 0.03,mean(patchspec.children{2}.yy),string,'HorizontalAlignment','Center','FontSize',7+(level*1));
                        text(0 - (level+2) * 0.03,mean(patchspec.children{3}.yy),string,'HorizontalAlignment','Center','FontSize',7+(level*1));
                    end
                else % cut along Y

                    cords(1,:) = patchspec.children{1}.yy;
                    cords(1,size(cords,2)+1:size(cords,2)+size(patchspec.children{2}.yy)) = patchspec.children{2}.yy;

                    %if 1-min(cords) > max(cords)
                    
                    if mean(cords) > 0.5
                        if level == 1
                        plot([mean(patchspec.children{1}.xx) mean(patchspec.children{1}.xx)], [(1 + (level+2) * 0.03) mean(patchspec.children{1}.yy)],'Color','r','LineStyle',':');
                        plot([mean(patchspec.children{2}.xx) mean(patchspec.children{2}.xx)], [(1 + (level+2) * 0.03) mean(patchspec.children{2}.yy)],'Color','r','LineStyle',':');
                        plot([mean(patchspec.children{3}.xx) mean(patchspec.children{3}.xx)], [(1 + (level+2) * 0.03) mean(patchspec.children{3}.yy)],'Color','r','LineStyle',':');
                        end
                        text(mean(patchspec.children{1}.xx),1 + (level+2) * 0.03,string,'HorizontalAlignment','Center','FontSize',7+(level*1));
                        text(mean(patchspec.children{2}.xx),1 + (level+2) * 0.03,string,'HorizontalAlignment','Center','FontSize',7+(level*1));
                        text(mean(patchspec.children{3}.xx),1 + (level+2) * 0.03,string,'HorizontalAlignment','Center','FontSize',7+(level*1));
                    else
                        if level == 1
                        plot([mean(patchspec.children{1}.xx) mean(patchspec.children{1}.xx)], [(0 - (level+2) * 0.03) mean(patchspec.children{1}.yy)],'Color','r','LineStyle',':');
                        plot([mean(patchspec.children{2}.xx) mean(patchspec.children{2}.xx)], [(0 - (level+2) * 0.03) mean(patchspec.children{2}.yy)],'Color','r','LineStyle',':');
                        plot([mean(patchspec.children{3}.xx) mean(patchspec.children{3}.xx)], [(0 - (level+2) * 0.03) mean(patchspec.children{3}.yy)],'Color','r','LineStyle',':');
                        end
                        text(mean(patchspec.children{1}.xx),0 - (level+2) * 0.03,string,'HorizontalAlignment','Center','FontSize',7+(level*1));
                        text(mean(patchspec.children{2}.xx),0 - (level+2) * 0.03,string,'HorizontalAlignment','Center','FontSize',7+(level*1));
                        text(mean(patchspec.children{3}.xx),0 - (level+2) * 0.03,string,'HorizontalAlignment','Center','FontSize',7+(level*1));
                    end
                end     
         end
       
% call children Recursively
    nc = length( patchspec.children ); 
    %if away_from_start == 0, names_to_pass_on = category_names;
    %else names_to_pass_on = category_names(1,2:end); end;
    names_to_pass_on = category_names(1,2:end);
    for cx = 1:nc
        if not(mean(patchspec.children{cx}.xx) == mean(patchspec.xx) && mean(patchspec.children{cx}.yy) == mean(patchspec.yy))

            draw_labels( patchspec.children{cx}, level - 1 , names_to_pass_on,away_from_start + 1,thresholds); 
        end
    end

