function nmat = normalise_from_0_to_1( mat )
% normalises each column of mat to lie between zero and 1 
% (useful for synthetic colour plotting )

nrows = size( mat, 1 ); 
minc = min( mat ); 



nmat = (mat - repmat( minc, [nrows, 1] )); 
maxc = max( nmat ); 
if min(maxc) <= 0
    maxc( maxc <= 0) = maxc( maxc <= 0 ) + 1; 
end
nmat  = nmat ./ repmat( maxc, [nrows, 1] ); 

end
