function table = parseCsvFile(filename,pathname)
% parses a csv file and returns a cell table
%

    % Open File
    fid = fopen(strcat(pathname,filename));
    tline = fgetl(fid);
  % Initially we are determing the size of the table
  % The code looks somewhat complex to the fact that csv format also has a
  % clause that if a comma exists inside a cell it then puts "s around
  % the cell, and this needs to be taken into account in both counting
  % columns and the actualy processing
  % First count how columns are in the first line
    requiredColumns = 0;
    remaining = tline;
    across = 1;
    ignoring = 0;
    % Count through rows
    while(size(remaining,2) > 1)           
        for j = 1:(size(remaining,2))
            if ignoring == 1
                if strcmp(remaining(j),'"')
                    if j+1 < (size(remaining,2))
                        if strcmp(remaining(j+1),','), ignoring = 0; end;
                    end
                end
            else
                if j == 1 && strcmp(remaining(1),'"'), ignoring = 1; end;
                if strcmp(remaining(j),',')
                    if strcmp(remaining(j+1),'"'),ignoring = 1; end;
                    requiredColumns = requiredColumns + 1;
                    remaining = remaining((j + 1):end);
                    across = across + 1;
                    break;
                end 
            end
            if j == size(remaining,2)
               %copy this off
                requiredColumns = requiredColumns + 1;
               remaining = '';
            end
        end
    end
   % Count the lines
   lineCount = 1; % Line count starts as one as we just parsed the column count from the first row.
   while ischar(tline),  lineCount = lineCount +1; tline = fgetl(fid);   end; % Count Up the Lines
   % Initalize table
   table = cell(lineCount-1,requiredColumns);
   fclose(fid);
   fid = fopen(strcat(pathname,filename));
   curCount = 1;
   tline = fgetl(fid);
   while ischar(tline)
    remaining = tline;
    across = 1;
    ignoring = 0;
    while(size(remaining,2) > 1)                
        for j = 1:(size(remaining,2))
            if ignoring == 1
                if strcmp(remaining(j),'"')
                    if j+1 < (size(remaining,2))
                        if strcmp(remaining(j+1),','),  ignoring = 0;   end;
                    end               
                end
            else
                if j == 1 && strcmp(remaining(1),'"'),  ignoring = 1;   end;
                if strcmp(remaining(j),',')
                    if strcmp(remaining(j+1),'"'), ignoring = 1; end;
                     if strcmp(remaining(1),'"') && strcmp(remaining(j-1),'"')
                        table(curCount,across) = {remaining(2:(j - 2))};
                     else
                        table(curCount,across) = {remaining(1:(j - 1))};
                    end
                    remaining = remaining((j + 1):end);
                    across = across + 1;
                    break;
                end 
            end
            if j == size(remaining,2)
               %copy this off
               table(curCount,across) = {remaining(1:end)};
               remaining = '';
            end
        end
    end
    curCount = curCount +1;
    tline = fgetl(fid);
   end
fclose(fid);
end