function [pointNum] = selectcordinate(varargin)
% selectcorindate: a script which returns the x,y cordinates of the next
% clicked point.
fighandle = get(gca,'parent');
try
    figure(fighandle)
catch
    fighandle = get(fighandle,'parent');
    figure(fighandle);
end

axissize = axis;

hc = get(gca,'children');

try
xdata = get(hc,'xdata');
catch
   for i = size(hc,1):-1:1
       try
           xdata = get(hc(i,1),'xdata');
       catch
           continue;
       end;
       hc = hc(i,1);
       break;
   end
end
ydata = get(hc,'ydata');

waitforbuttonpress;
%wait for mouse
cc = get(gca,'CurrentPoint');
xy = cc(1,1:2);

dx = (axissize(2) - axissize(1));
dy = (axissize(4) - axissize(3));
      
      
% what point was closest?
[pointNum] = closestpoint(xy,xdata,ydata,dx,dy);


function [pointslist,xselect,yselect] = closestpoint(xy,xdata,ydata,dx,dy)
% find the single closest point to xy, in scaled units
if ~iscell(xdata)
  % just one set of points to consider
  D = sqrt(((xdata - xy(1))/dx).^2 + ((ydata - xy(2))/dy).^2);
  [junk,pointslist] = min(D(:)); %#ok
  xselect = xdata(pointslist);
  yselect = ydata(pointslist);
else
  % there is more than one set of points
  Dmin = inf;
  pointslist = cell(size(xdata));
  for i = 1:numel(xdata);
    D = sqrt(((xdata{i} - xy(1))/dx).^2 + ((ydata{i} - xy(2))/dy).^2);
    [mind,ind] = min(D(:)); %#ok
    
    if mind < Dmin
      % searching for the closest point
      Dmin = mind;
      
      pointslist = cell(size(xdata));
      xselect = cell(size(xdata));
      yselect = cell(size(xdata));
      
      pointslist{i} = ind;
      xselect{i} = xdata{i}(ind);
      yselect{i} = ydata{i}(ind);
    end
  end
end
      
      

