function [zmr rowmeans] = zero_mean_rows( mat )
% accepts a matrix and performs a zero mean
% normalisation along the specified dimension

rowmeans = mean( mat, 2 ); 

zmr = mat - repmat( rowmeans, [ 1 size(mat,2) ] ); 
end
